"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var VerticalButtons = function (_a) {
    var onIncreaseHandler = _a.onIncreaseHandler, OnDecreaseHandler = _a.OnDecreaseHandler, OnStopCounter = _a.OnStopCounter, counter = _a.counter, decimals = _a.decimals, verticalUpClass = _a.verticalUpClass, verticalDownClass = _a.verticalDownClass, parentStyle = _a.parentStyle, inputStyle = _a.inputStyle, _b = _a.iconSize, iconSize = _b === void 0 ? 11 : _b;
    var increaseHandler = function () {
        onIncreaseHandler();
    };
    var decreaseHandler = function () {
        OnDecreaseHandler();
    };
    var stopCounter = function () {
        OnStopCounter();
    };
    var upClass = verticalUpClass ? verticalUpClass : 'bi bi-caret-up-fill';
    var downClass = verticalDownClass
        ? verticalDownClass
        : 'bi bi-caret-down-fill';
    var iconFontSize = {
        fontSize: iconSize,
    };
    return (jsx_runtime_1.jsxs("div", __assign({ style: parentStyle, className: "input-group  bootstrap-touchspin" }, { children: [jsx_runtime_1.jsx("span", { className: "input-group-addon bootstrap-touchspin-prefix" }, void 0), jsx_runtime_1.jsx("input", { type: "text", readOnly: true, value: counter.toFixed(decimals), className: "form-control", style: inputStyle }, void 0), jsx_runtime_1.jsx("span", { className: "input-group-addon bootstrap-touchspin-postfix" }, void 0), jsx_runtime_1.jsxs("span", __assign({ className: "input-group-btn-vertical" }, { children: [jsx_runtime_1.jsx("span", __assign({ className: "btn btn-outline-secondary bootstrap-touchspin-up", onMouseDown: increaseHandler, onMouseUp: stopCounter }, { children: jsx_runtime_1.jsx("span", { className: upClass, style: iconFontSize }, void 0) }), void 0), jsx_runtime_1.jsx("span", __assign({ className: "btn btn-outline-secondary bootstrap-touchspin-down", onMouseDown: decreaseHandler, onMouseUp: stopCounter }, { children: jsx_runtime_1.jsx("span", { className: downClass, style: iconFontSize }, void 0) }), void 0)] }), void 0)] }), void 0));
};
exports.default = VerticalButtons;
